.modalSection{
    display: none;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, .9);
    z-index: 99;
}

.modalContainer{
    position: relative;
    background: #fff;
    border-radius: 4px 4px 8px 8px;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 10px;
}

.modalCroix{
    position: absolute;
    right: 15px;
    top: 15px;
    cursor: pointer;
}

.modalRetour{
    display: none;
    position: absolute;
    left: 15px;
    top: 15px;
    cursor: pointer;
}

.statutModalContainer{
    display: flex;
    margin: 54px 0 40px;
    gap: 16px;
}

.statutModal{
    width: 9px;
    height: 9px;
    background: #989898;
    border-radius: 50%;
}

.statutModal:nth-child(2), .statutModal:nth-child(3){
    background: #E3E3E3;
}

.titreModal{
    display: flex;
    justify-content: center;
    /* margin-bottom: 60px; */
    font-size: 30px;
    font-weight: bold;
    text-transform: uppercase;
    color: #000;
    text-align: center;
    padding: 0 33px;
}

.modalHr{
    width: 100%;
    margin: 0!important;
}

.modalOptionContainer{
    /* display: flex;
    justify-content: space-between;
    width: 100%;
    padding: 30px 50px;
    align-items: center;
    gap: 20px;
    cursor: pointer; */
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    cursor: pointer;
    padding: 10px;
    border: 1px solid rgba(0,0,0,.1);
    border-radius: 4px;
    margin: 10px;
}

.modalOptionContainer:hover .modalOptionTitre{
    color: var(--rose-color);
    transition: color .2s;
}

.modalOptionContainer .modalOptionTitre{
    transition: color .2s;
}

.modalInfoContainer{
    display: flex;
    gap: 15px;
    align-items: center;
}

.modalInfo{
    line-height: .6;
    color: #000;
}

.modalOptionTitre{
    font-weight: bold;
    color: var(--gris-clair-color);
    margin-bottom: .2rem;
}

.modalCheckbox{
    min-width: 18px;
    min-height: 18px;
    border: 1px solid #C5C5C5;
    border-radius: 4px;
}

.modalCheckbox svg{
    margin-bottom: 2px;
    display: none;
}

.modalOptionDesc{
    line-height: 1.2;
}

.modalBouton{
    width: 100%;
    background: var(--rose-color);
    height: 69px;
    border-radius: 0 0 4px 4px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 14px;
    font-size: 23px;
    color: #fff;
    margin-top: 60px;
    cursor: pointer;
}

.modalBouton:hover #modalBoutonSvg{
    transform: translateX(10px);
    transition: transform .2s;
}

.modalBouton #modalBoutonSvg{
    transition: transform .2s;
}

.contenuModalCheque, .contenuModalTel, .contenuModalCb, .contenuModalFacture, .contenuModalPDV, .contenuModalReglement{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 30px -51.99px 10px;
    gap: 10px;
}

.contenuModalCb{
    margin: 30px -237.99px 10px;
}

.contenuModalCb p, .contenuModalCheque p, .contenuModalFacture p, .contenuModalTel p, .contenuModalPDV p, .contenuModalReglement p{
    /* text-align: justify; */
    hyphens: auto;
}

.contenuModalFinale{
    width: 73%;
    margin: 30px -328.89px 10px;
}

.titreModalFinale{
    font-weight: bold;
    font-size: 19px;
}

.descModalFinale{
    /* text-align: justify; */
    hyphens: auto;
    margin-top: 20px;
}

.descriptionOptionSelectionnee{
    width: 373px;
    font-size: 18px;
}

.infoImportante{
    color: var(--rose-color);
    font-weight: bold;
}

#checkPngContainer{
    display:flex;
    justify-content:center;
}

#checkPng{
    width: 38%;
}

#blocIdTransaction {
    display: none;
}

@media screen and (max-width: 500px) {
    .modalOptionContainer{
        padding: 20px;
    }

    .titreModal{
        font-size: 23px;
        margin-bottom: 0;
    }

    .statutModalContainer{
        margin: 35px 0 20px;
    }

    .modalBouton{
        margin-top: 30px;
        font-size: 16px;
        height: 43px;
        font-weight: bold;
    }

    .descriptionOptionSelectionnee{
        width: 288px;
    }
    
    #checkPng{
        width: 26%;
        margin: 32px 0 12px;
    }
}

@media screen and (max-width: 400px) {

    .modalOptionContainer{
        padding: 8px 12px!important;
    }

    .contenuModalFinale{
        margin: 14px -328.89px -7px;
    }

}